Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.content
Class ContentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      com.plumtree.remote.prc.content.ContentException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ContentSecurityException, NameAlreadyInUseException

public class ContentException
extends java.rmi.RemoteException

Thrown when a remote invocation results in an error in the Content Server. This is the parent class of all other Content exceptions.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`ContentException()`
`ContentException(java.lang.String message)`
`ContentException(java.lang.String message, java.lang.Throwable cause)`
`ContentException(java.lang.Throwable cause)`

Methods inherited from class java.rmi.RemoteException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContentException

    public ContentException()

### ContentException

    public ContentException(java.lang.String message)

### ContentException

    public ContentException(java.lang.Throwable cause)

### ContentException

    public ContentException(java.lang.String message,
                            java.lang.Throwable cause)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.